=== debian/changelog ===
snuffleupagus (0.11.0) UNRELEASED; urgency=low
  [ jvoisin ]
  * Compatibility with PHP8.4                                                     
  * Fixed compilation on FreeBSD
  * Update the internal deprecation checks                                        

  [ cgzones ]
  * Print key and value on INI violations                                         
  * Improve `scripts/generate_rules.php` with regard to functions from global space prefixed with `\`
  * Add option to specify the allowed "php" wrapper types                         
  * Make 'phar' filenames work in `sp.disabled_functions`                         
  * Improve the documentation                                                     
  * Improve the default set of rules, especially with regard to portability       
  * Improve the Debian packaging                                                  
  * Improve behaviour when dealing with broken configuration file                 
  * Don't whitelist files if the function name is actually a method of a class in `scripts/generate_rules.php`
  * Ignore function definition in `scripts/generate_rules.php`                    
  * Improve configuration dumping                                                 

 -- jvoisin <julien.voisin+snuffleupagus@dustri.org>  Fri, 06 Sep 2024 14:30:00 +0200

snuffleupagus (0.10.0) UNRELEASED; urgency=low
  [ jvoisin ]
  * Compatibility with PHP8.3
  * Add `sp.log_max_len` to limit the maximum size of the log messages
  * Add an example configuration for Xenforo 2.2.12 
  * Url encode functions arguments when logging them

 -- jvoisin <julien.voisin+snuffleupagus@dustri.org>  Wed, 20 Sep 2023 15:25:00 +0200

snuffleupagus (0.9.0) UNRELEASED; urgency=low
  [ jvoisin ]
  * Compatibility with PHP8.2
  * Add the ability block object unserialization globally.

 -- jvoisin <julien.voisin+snuffleupagus@dustri.org>  Tue, 03 Jan 2023 20:25:00 +0200

snuffleupagus (0.8.3) UNRELEASED; urgency=low
  [ jvoisin ]
  * Mix the stacktrace in the sha256 for the filename of .dump()
  * Add the ability to dump the parameter passed to `eval`
  * Add the ability to match on `eval`'s parameter
  * Add optional extended checks for `readonly_exec`
  * Add config error for ini rules with identical key
  * Add disabled functions return type to config export
  * Make it actually possible to configure sloppy comparison on latests PHP7
  * Allow file:// prefix in include() with readonly_exec mode
  * Fix a possible crash when exporting function list
  * Fix a minor memory leak when parsing cookie-related configuration

 -- jvoisin <julien.voisin+snuffleupagus@dustri.org>  Sat, 27 Aug 2022 17:30:00 +0200

snuffleupagus (0.8.2) UNRELEASED; urgency=low
  [ jvoisin ]
  * Fix compilation when ZTS is used
  * Fix a possible infinite loop

 -- jvoisin <julien.voisin+snuffleupagus@dustri.org>  Sun, 20 Apr 2022 22:00:00 +0200

snuffleupagus (0.8.1) UNRELEASED; urgency=low
  [ jvoisin ]
  * Fix the version number
  * Fix a test on PHP7

 -- jvoisin <julien.voisin+snuffleupagus@dustri.org>  Sun, 16 Apr 2022 19:45:00 +0200

snuffleupagus (0.8.0) UNRELEASED; urgency=low
  [ jvoisin ]
  * Compatibility with PHP8.1
  * Check for unsupported PHP version
  * Backport of Suhosin-ng patches:
    * Maximum stack depth/recursion limit
    * Maximum length for session id
    * $_SERVER strip/encode
    * Configuration dump
    * Support for conditional rules
    * INI settings protection
    * Output SP logs to stderr
    * Ported Suhosin rules to SP
  * Massive simplification of the configuration parser
  * Better memory management
  * Removal of internal calls to `call_user_func`
  * Increased portability of the default rules access different version of PHP
  * Start SP as late as possible, to hook as many things as possible
  * XML and Session support are now checked at runtime instead of at compile time

 -- jvoisin <julien.voisin+snuffleupagus@dustri.org>  Sun, 15 Apr 2022 18:00:00 +0200

snuffleupagus (0.7.1) UNRELEASED; urgency=low
  [ jvoisin ]
  * Fixed possible memory-leaks when hooking via regular expressions               
  * Modernise the code by removing usage of `strtok`                               
  * Prevent a possible crash during configuration reloading                        
  * Fix the default rules to catch dangerous `chmod` calls                         
  * Improve compatibility with various `libpcre` configurations/versions           
  * Improve the default rules' compatibility with php8                             
  * Prevent XXE in php8 as well                                                    
  * Improve a bit the verbosity of the logs                                        
  * Add a rules file for php8  

 -- jvoisin <julien.voisin+snuffleupagus@dustri.org>  Sun, 02 Aug 2021 19:29:00 +0200

snuffleupagus (0.7.0) UNRELEASED; urgency=medium
  [ jvoisin ]
  * PHP8 support
  * Stacktraces in dumps
  * The `>` operator skips over functions
  * PCRE2 is used when possible
  * The `generate_rules.php` script is now more portable
  * The strict mode is now disableable

 -- jvoisin <julien.voisin+snuffleupagus@dustri.org>  Sun, 02 Jan 2021 19:22:00 +0100

snuffleupagus (0.6.0) UNRELEASED; urgency=medium

  [ jvoisin ]
  * More constification
  * Snuffleupagus should now be able to get client's ip addresses in more cases
  * Documented compatibility with Heroku
  * Improved logging
  * Added a couple of tests

  [ wargio ]
  * allow empty configurations

 -- jvoisin <julien.voisin+snuffleupagus@dustri.org>  Fri, 06 Nov 2020 17:45:00 +0200

snuffleupagus (0.5.1) UNRELEASED; urgency=medium

  [ jvoisin ]
  * Add support for syslog
  * Improve OSX support
  * Improve marginally of php8+ compatibility
  * Improve php7.4 compatibility
  * Improve the default ruleset
  * Improve the documentation
  * Improve the gitlab CI

 -- jvoisin <julien.voisin+snuffleupagus@dustri.org>  Sat, 20 Jun 2020 12:30:00 +0200

snuffleupagus (0.5.0) UNRELEASED; urgency=medium

  [ kkadosh ]

