=== debian/control ===
Source: snuffleupagus
Priority: optional
Maintainer: Julien (jvoisin) Voisin <julien.voisin+snuffleupagus@dustri.org>
Build-Depends: debhelper-compat (= 12), dh-php, php-curl <!nocheck>, php-xml <!nocheck>, php7.0-dev | php7.1-dev | php7.2-dev | php7.3-dev | php7.4-dev | php8.0-dev | php8.1-dev | php8.2-dev | php8.3-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://snuffleupagus.readthedocs.io
Section: php
Vcs-Browser: https://github.com/jvoisin/snuffleupagus
Vcs-Git: https://github.com/jvoisin/snuffleupagus.git

Package: snuffleupagus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Security module for php7 and php8
 Snuffleupagus is a PHP 7+ and 8+ module designed to drastically raise the
 cost of attacks against websites, by killing entire bug classes. It also
 provides a powerful virtual-patching system, allowing administrator to fix
 specific vulnerabilities and audit suspicious behaviours without having to
 touch the PHP code.
